## r-cran-testthat 3.3.2

=== DESCRIPTION ===
Package: testthat
Title: Unit Testing for R
Version: 3.3.2
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@posit.co", role = c("aut", "cre")),
    person("Posit Software, PBC", role = c("cph", "fnd")),
    person("R Core team", role = "ctb",
           comment = "Implementation of utils::recover()")
  )
Description: Software testing is important, but, in part because it is
    frustrating and boring, many of us avoid it. 'testthat' is a testing
    framework for R that is easy to learn and use, and integrates with
    your existing 'workflow'.
License: MIT + file LICENSE
URL: https://testthat.r-lib.org, https://github.com/r-lib/testthat
BugReports: https://github.com/r-lib/testthat/issues
Depends: R (>= 4.1.0)
Imports: brio (>= 1.1.5), callr (>= 3.7.6), cli (>= 3.6.5), desc (>=
        1.4.3), evaluate (>= 1.0.4), jsonlite (>= 2.0.0), lifecycle (>=
        1.0.4), magrittr (>= 2.0.3), methods, pkgload (>= 1.4.0),
        praise (>= 1.0.0), processx (>= 3.8.6), ps (>= 1.9.1), R6 (>=
        2.6.1), rlang (>= 1.1.6), utils, waldo (>= 0.6.2), withr (>=
        3.0.2)
Suggests: covr, curl (>= 0.9.5), diffviewer (>= 0.1.0), digest (>=
        0.6.33), gh, knitr, otel, otelsdk, rmarkdown, rstudioapi, S7,
        shiny, usethis, vctrs (>= 0.1.0), xml2
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Config/testthat/parallel: true
Config/testthat/start-first: watcher, parallel*
Encoding: UTF-8
RoxygenNote: 7.3.3
NeedsCompilation: yes
Packaged: 2026-01-09 17:49:32 UTC; hadleywickham
Author: Hadley Wickham [aut, cre],
  Posit Software, PBC [cph, fnd],
  R Core team [ctb] (Implementation of utils::recover())
Maintainer: Hadley Wickham <hadley@posit.co>
Repository: CRAN
Date/Publication: 2026-01-11 09:10:02 UTC

=== debian/changelog ===
r-cran-testthat (3.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Thu, 05 Feb 2026 08:54:10 +0900

=== debian/control ===
Source: r-cran-testthat
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
 Dylan Aïssi <daissi@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-brio (>= 1.1.5),
 r-cran-callr (>= 3.7.6),
 r-cran-cli (>= 3.6.5),
 r-cran-desc (>= 1.4.3),
 r-cran-evaluate (>= 1.0.4),
 r-cran-jsonlite (>= 2.0.0),
 r-cran-lifecycle (>= 1.0.4),
 r-cran-magrittr,
 r-cran-pkgload (>= 1.4.0),
 r-cran-praise,
 r-cran-processx (>= 3.8.6),
 r-cran-ps (>= 1.9.1),
 r-cran-r6 (>= 2.6.1),
 r-cran-rlang (>= 1.1.6),
 r-cran-waldo (>= 0.6.2),
 r-cran-withr (>= 3.0.2),
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-testthat
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-testthat.git
Homepage: https://cran.r-project.org/package=testthat
Rules-Requires-Root: no

Package: r-cran-testthat
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: Unit Testing for R
 Software testing is important, but, in part because it is
 frustrating and boring, many of us avoid it. 'testthat' is a testing
 framework for R that is easy to learn and use, and integrates with
 your existing 'workflow'.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
         r-cran-curl,
         r-cran-digest,
         r-cran-gh,
         r-cran-knitr,
         r-cran-rmarkdown,
         r-cran-rstudioapi,
         r-cran-s7,
         r-cran-shiny,
         r-cran-usethis,
         r-cran-vctrs,
         r-cran-xml2,
         r-cran-curl (>= 0.9.5),
         r-cran-vctrs (>= 0.1.0)
Restrictions: allow-stderr
